# 端口规范

## 部署信息

当前版本： 1.0
部署位置： 192.168.70.125 目录/data1/acl/aclTousu-1.0.jar
启动用户： do  nohup java -jar aclTousu-1.0.jar &
访问ip+端口号： http://192.168.70.125:12128
数据库：192.168.70.109:5432/sqmmt 
schema：sqmdb_rpt
其中以acl开头的几个表就是

## 20220524 v1.3 更新说明

- 新增了两个测试token

```http request
POST http://192.168.70.125:12128/api/verification
Content-Type: application/json

{
  "token": "test_token_abc",
  "fromSystem": "test",
  "system": "daping"
}
```

```json
{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "userId": 4,
    "userName": "李四喜",
    "province": "河北省",
    "city": "唐山市"
  }
}
```

```http request
### token是两个固定值 fromSystem 是test
###  system 由调用接口的系统确定
POST http://192.168.70.125:12128/api/verification
Content-Type: application/json

{
  "token": "test_token_abc",
  "fromSystem": "test",
  "system": "liucheng"
}
```

```json
{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "account": "13444444444",
    "userId": 4,
    "userName": "李四喜"
  }
}
```

- 流程需求的get接口中orgId修改为org对象

```http request
POST http://192.168.70.125:12128/rest/flow/api
Content-Type: application/json

{
"callType": "get",
"userId": "3"
}
```

```json
{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "userId": 3,
    "loginId": "13111111111",
    "userName": "张三",
    "mobile": "13111111111",
    "email": null,
    "org": {
      "orgId": 130100,
      "orgName": "石家庄市"
    }
  }
}
```

## 鉴权接口

- ***大屏鉴权***

```http request
### 入参说明
### token 从dop系统带来的token
### fromSystem 参数是从dop系统带过来的 大屏应为dop
### system 大屏固定为 daping
POST http://192.168.70.125:12128/api/verification
Content-Type: application/json

{
"token": "abcdef",
"fromSystem": "dop",
"system": "daping"
}
```

正常返回值

```json
{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "userId": 3,
    "userName": "张三",
    "province": "河北省",
    "city": "石家庄市"
  }
}
```

- ***投诉预测鉴权***

```http request
### 入参说明
### token 从top系统带来的token
### fromSystem 参数是从top系统带过来的 投诉预测应为 top
### system 投诉预测固定为 yuce

POST http://192.168.70.125:12128/api/verification
Content-Type: application/json

{
"token": "abcdefeee",
"fromSystem": "top",
"system": "yuce"
}
```

正常返回值

```json
{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "userId": 3,
    "userName": "张三",
    "province": "河北省",
    "city": "石家庄市"
  }
}
```

***投诉工单流转系统鉴权***

```http request
### 入参说明
### token 从top系统带来的token
### fromSystem 参数是从top系统带过来的 工单流转应为 top
### system 工单流转固定为 liucheng
POST http://192.168.70.125:12128/api/verification
Content-Type: application/json

{
  "token": "abcdefeee",
  "fromSystem": "top",
  "system": "liucheng"
}
```

正常返回值

```json
{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "account": "13111111111",
    "userId": 3,
    "userName": "张三"
  }
}
```

***投诉分析系统鉴权***

```http request
### 入参说明
### token 从top系统带来的token
### fromSystem 参数是从top系统带过来的 工单流转应为 top
### system 投诉分析固定为 fenxi
POST http://192.168.70.125:12128/api/verification
Content-Type: application/json

{
  "token": "abcdefeee",
  "fromSystem": "top",
  "system": "fenxi"
}
```

正常返回值

````json
{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "id": 3,
    "account": "13111111111",
    "name": "张三",
    "status": 1,
    "city": 130100
  }
}
````

## 投诉流程用的其他接口

- ***角色列表接口***

```http request
### 入参：
### callType  findRoleList
### userName  用户名，支持模糊搜索
POST http://192.168.70.125:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findRoleList",
  "userName": "张"
}
```

正常返回值

```json
{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": [
    {
      "roleId": 3,
      "roleName": "管理"
    },
    {
      "roleId": 4,
      "roleName": "分析组"
    }
  ]
}
```

- ***用户列表接口***

```http
### 入参：
### callType  findToPage
POST http://133.96.94.176:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findToPage"
}
```

正常返回值

```json
{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": [
    {
      "userId": 1,
      "loginId": "13222222222",
      "userName": "张三丰",
      "mobile": "13222222222",
      "email": "3453543543",
      "orgId": "130100"
    },
    {
      "userId": 3,
      "loginId": "13111111111",
      "userName": "张三",
      "mobile": "13111111111",
      "email": null,
      "orgId": "130100"
    },
    {
      "userId": 4,
      "loginId": "13444444444",
      "userName": "李四喜",
      "mobile": "13444444444",
      "email": "@163.com",
      "orgId": "130200"
    },
    {
      "userId": 2,
      "loginId": "13333333333",
      "userName": "李小明",
      "mobile": "13333333333",
      "email": null,
      "orgId": "130100"
    }
  ]
}
```

- ***根据登录账号获取用户***

```http request
POST http://192.168.70.125:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "getByLoginId",
  "loginId": "13333333333"
}
```

正常返回值

```json
{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "userId": 2,
    "loginId": "13333333333",
    "userName": "李小明",
    "mobile": "13333333333",
    "email": null,
    "orgId": "130100"
  }
}
```

- ***根据用户ID获取用户接口***

```http request
POST http://192.168.70.125:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "get",
  "userId": "3"
}
```

正常返回值

```json
{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "userId": 3,
    "loginId": "13111111111",
    "userName": "张三",
    "mobile": "13111111111",
    "email": null,
    "orgId": "130100"
  }
}
```

- ***根据角色id获取用户***

```http request
POST http://192.168.70.125:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findRoleIdByUserId",
  "userId": "3"
}
```

正常返回值

```json
{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": [
    4,
    3
  ]
}
```

- ***根据角色id获取用户***

```http request
POST http://192.168.70.125:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findUserIdByRoleId",
  "roleId": "3"
}
```

正常返回值

```json
{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": [
    1,
    3,
    4
  ]
}
```

- ***多条件搜索用户***

```http request
### 入参说明：
### callType findAuthorizedUser
### roleId 可选 为空字符串与不传这个参数相同处理
### userName 可选 为空字符串与不传这个参数相同处理  可模糊查询
### loginId  可选 为空字符串与不传这个参数相同处理
POST http://192.168.70.125:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findAuthorizedUser",
  "roleId": "3",
  "userName": "张",
  "loginId": "13222222222"
}
```

正常返回值

```json
{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": [
    {
      "userId": 1,
      "loginId": "13222222222",
      "userName": "张三丰",
      "mobile": "13222222222",
      "email": "3453543543",
      "orgId": "130100"
    }
  ]
}
```

```http request
POST http://192.168.70.125:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findAuthorizedUser",
  "roleId": "3"
}
```

返回值

```json
{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": [
    {
      "userId": 1,
      "loginId": "13222222222",
      "userName": "张三丰",
      "mobile": "13222222222",
      "email": "3453543543",
      "orgId": "130100"
    },
    {
      "userId": 3,
      "loginId": "13111111111",
      "userName": "张三",
      "mobile": "13111111111",
      "email": null,
      "orgId": "130100"
    },
    {
      "userId": 4,
      "loginId": "13444444444",
      "userName": "李四喜",
      "mobile": "13444444444",
      "email": "@163.com",
      "orgId": "130200"
    }
  ]
}
```

```http request
POST http://192.168.70.125:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findAuthorizedUser",
  "roleId": "3",
  "userName": "张"
}
```

```json
{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": [
    {
      "userId": 1,
      "loginId": "13222222222",
      "userName": "张三丰",
      "mobile": "13222222222",
      "email": "3453543543",
      "orgId": "130100"
    },
    {
      "userId": 3,
      "loginId": "13111111111",
      "userName": "张三",
      "mobile": "13111111111",
      "email": null,
      "orgId": "130100"
    }
  ]
}
```