package com.nokia.controller;
import com.nokia.common.R;
import com.nokia.pojo.CityEntity;
import com.nokia.service.CityI.CityServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import java.util.List;

@RestController
@RequestMapping("rest/api/city")
public class CityController {

    private final CityServiceImpl cityServiceimpl;

    @Autowired
    public CityController(CityServiceImpl cityServiceimpl) {
        this.cityServiceimpl = cityServiceimpl;
    }

    @PostMapping("list")
    @ResponseBody
    public R list() {
        List<CityEntity> cities = cityServiceimpl.list();
        return R.ok().data(cities);
    }
}
