package com.nokia.pojo;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@TableName("sqmdb_rpt.acl_user")
public class UserEntity implements Serializable {

    @TableId(type = IdType.AUTO)
    private Integer userId;
    private String loginName;
    private String userName;
    private String phone;
    private String email;
    private String province;
    // 需要从city表中对应
    @TableField(exist = false)
    private CityEntity city;
    private Integer cityId;
    // 所属区县 为空表示不归属区县 归属于地市
    private String district;
    private String county;
    // 投诉分析权限 1表示有
    private Integer tsfxPer;
    // 投诉预测权限 1表示有
    private Integer tsysPer;
    // 投诉大屏权限 1表示有
    private Integer tsdpPer;
    // 投诉流程权限 1表示有
    private Integer tsgdlzPer;
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    @TableField(exist = false)
    private List<Integer> roleIdList;
}
