package com.nokia.service.Flow;


import com.nokia.dao.UserDao;
import com.nokia.vo.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class FlowServiceImpl implements FlowService {

    private final UserDao userDao;

    @Autowired
    public FlowServiceImpl(UserDao userDao) {
        this.userDao = userDao;
    }

    public List<FlowRoleVo> findRoleList(String username) {
        return userDao.findRoleList(username);
    }

    public List<FlowRoleVo> findRoleList() {
        return userDao.findRoleList2();
    }

    public List<FlowUserVo> findToPage() {
        return userDao.findToPage();
    }

    public FlowUserVo getByLoginId(String loginId) {
        return userDao.getFlowUserVoByLoginId(loginId);
    }

    public FlowUserVo getByUserId(Integer userId) {
        return userDao.getFlowUserVoByUserId(userId);
    }

    public List<Integer> findRoleIdByUserId(Integer userId) {
        return userDao.findRoleIdByUserId(userId);
    }

    public List<Integer> findUserIdByRoleId(Integer roleId) {
        return userDao.findUserIdByRoleId(roleId);
    }

    public List<FlowUserVo> findAuthorizedUser(String loginId, Integer roleId, String userName) {
        return userDao.findAuthorizedUser(loginId, roleId, userName);
    }
}
